﻿using Infragistics.Win;
using Infragistics.Win.UltraWinSchedule;
using Infragistics.Win.UltraWinSchedule.DayView;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace UltraDayViewAppointmentStylingDemo
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();            

            ultraDayView1.DrawFilter = new DayViewDrawFilter();

            Appointment appointment = new Appointment(DateTime.Now, DateTime.Now.AddHours(3));
            appointment.BarColor = Color.Transparent;

            ultraCalendarInfo1.Appointments.Add(appointment);

            ultraDayView1.CalendarInfo = ultraCalendarInfo1;

            ultraDayView1.CalendarLook.ViewStyle = ViewStyle.VisualStudio2005; 
        }
    }

    public class DayViewDrawFilter : IUIElementDrawFilter
    {
        public bool DrawElement(DrawPhase drawPhase, ref UIElementDrawParams drawParams)
        {
            return true;
        }

        public DrawPhase GetPhasesToFilter(ref UIElementDrawParams drawParams)
        {
            if(drawParams.Element is AppointmentShadowUIElement)
            {
                return DrawPhase.BeforeDrawElement;
            }

            return DrawPhase.None;
        }
    }
}
